Bug 1264360 - pcs Web UI doesn't indicate unmanaged resources
pcs Web UI doesn't indicate unmanaged resources
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs (Show other bugs)
7.2
x86_64 Linux
high Severity unspecified
: rc
: ---
Assigned To: Ondrej Mular
cluster-qe@redhat.com
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-18 05:46 EDT by Miroslav Lisik
Modified: 2016-11-03 16:55 EDT (History)
7 users (show)

See Also:
Fixed In Version: pcs-0.9.152-8.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 16:55:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Lisik 2015-09-18 05:46:48 EDT
Description of problem:
You can't see whether resource is unamanged from Web UI.

Version-Release number of selected component (if applicable):
pcs-0.9.143-9.el7.x86_64

How reproducible:
always


Steps to Reproduce:
1. Create resource with meta attribute "is-managed" set to "false".
[root@virt-028 ~]# pcs resource create dummy Dummy meta is-managed=false

2. Look at the Web UI dashboard page or resources page.


Actual results:
You don't see difference between managed and unmanaged resources.

Expected results:
Somehow indicate that resource is not managed.
Comment 2 Radek Steiger 2015-10-05 07:50:50 EDT
Just a related observation - when deleting a running unmanaged from within the GUI, the resource is only switched to disabled but stays in place. This is because pcs tries to stop it first, which obviously fails, but there's no indication what happened and why.
Comment 3 Ondrej Mular 2016-08-03 21:15:43 EDT
proposed fix:
https://github.com/ClusterLabs/pcs/commit/08b0d1e307f804e7fcac82cb8091dc4e2d5d

Test:
Unamanaged resources are shown correctly with status 'unamanaged'. Also there are new buttons for manage/unmanage resource.
Comment 4 Ivan Devat 2016-08-05 11:09:27 EDT
Before Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-5.el7.x86_64

Look of unmanaged resources do not differ from managed.

After Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-6.el7.x86_64

Unamanaged resources are shown correctly with status 'unamanaged'. Also there are new buttons for manage/unmanage resource.
Comment 7 Ondrej Mular 2016-08-24 08:44:58 EDT
additional fix:
https://github.com/ClusterLabs/pcs/commit/28c79e44207ca36c520b6aae0348982c29f

Information that resource is unmanaged is displayed independently of its status.

Test:
Create dummy resource and make it unmanaged. Displayed status will be: "running (unmanaged)" in orange color.
Comment 8 Ivan Devat 2016-08-31 12:14:53 EDT
Before Fix:

[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-7.el7.x86_64

Create dummy resource and make it unmanaged. Displayed status will be: "unmanaged" in orange color.


After Fix:
[vm-rhel72-1 ~] $ rpm -q pcs
pcs-0.9.152-8.el7.x86_64

Create dummy resource and make it unmanaged. Displayed status will be: "running (unmanaged)" in orange color.
Comment 13 errata-xmlrpc 2016-11-03 16:55:16 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2596.html

Note You need to log in before you can comment on or make changes to this bug.